"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const command_1 = require("@oclif/command");
const botonic_1 = require("../botonic");
const utils_1 = require("../utils");
class Run extends command_1.Command {
    async run() {
        utils_1.track('botonic_webview');
        const { args, flags } = this.parse(Run);
        const path = flags.path ? path_1.resolve(flags.path) : process.cwd();
        const context = flags.context ? flags.context : '';
        this.botonic = new botonic_1.Botonic(path);
        this.botonic.getWebview(args.webview_page, context).then((response) => {
            console.log(response);
        });
    }
}
Run.description = 'Get response from a single input';
Run.examples = [
    `$ botonic webview webview_hello"
Hello!
`,
];
Run.flags = {
    path: command_1.flags.string({ char: 'p', description: 'Path to botonic project. Defaults to current dir.' }),
    context: command_1.flags.string({ char: 'c', description: 'Context of current session', parse: JSON.parse })
};
Run.args = [{ name: 'webview_page', required: true }];
exports.default = Run;
