"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require('fs');
const os = require('os');
const path = require('path');
const Mixpanel = require('mixpanel');
exports.mixpanel_token = 'c73e2685df454183c0f97fbf2052d827';
exports.botonic_home_path = path.join(os.homedir(), '.botonic');
exports.botonic_credentials_path = path.join(exports.botonic_home_path, 'credentials.json');
function initializeCredentials() {
    if (!fs.existsSync(exports.botonic_home_path))
        fs.mkdirSync(exports.botonic_home_path);
    let distinct_id = Math.round(Math.random() * 100000000);
    fs.writeFileSync(exports.botonic_credentials_path, JSON.stringify({ mixpanel: { distinct_id } }));
}
exports.initializeCredentials = initializeCredentials;
function readCredentials() {
    if (!fs.existsSync(exports.botonic_credentials_path)) {
        initializeCredentials();
    }
    try {
        exports.credentials = JSON.parse(fs.readFileSync(exports.botonic_credentials_path));
    }
    catch (e) { }
}
try {
    readCredentials();
}
catch (e) { }
if (track_mixpanel()) {
    exports.mixpanel = Mixpanel.init(exports.mixpanel_token, {
        protocol: 'https'
    });
}
function track(event) {
    if (track_mixpanel() && exports.mixpanel && exports.credentials && exports.credentials.mixpanel)
        exports.mixpanel.track(event, { distinct_id: exports.credentials.mixpanel ? exports.credentials.mixpanel.distinct_id : null });
}
exports.track = track;
function alias(email) {
    if (track_mixpanel() && exports.mixpanel && exports.credentials && exports.credentials.mixpanel && email) {
        exports.mixpanel.alias(exports.credentials.mixpanel.distinct_id, email, (e) => { console.log(e); });
        exports.credentials.mixpanel.distinct_id = email;
        fs.writeFileSync(exports.botonic_credentials_path, JSON.stringify(exports.credentials));
    }
}
exports.alias = alias;
function botonicPostInstall() {
    if (track_mixpanel()) {
        initializeCredentials();
        readCredentials();
        track('botonic_install');
    }
}
exports.botonicPostInstall = botonicPostInstall;
function track_mixpanel() {
    return process.env.BOTONIC_DISABLE_MIXPANEL !== '1';
}
